#!/bin/bash

syslogfile_1='/etc/syslog.conf'
syslogfile_2='/etc/rsyslog.conf'
syslogfile=''

if [ -e "$syslogfile_1" ]; then
	syslogfile=$syslogfile_1;
elif [ -e "$syslogfile_2" ]; then
	syslogfile=$syslogfile_2;
else 
	echo "Could not find syslog configuration files"
	exit 1
fi	

echo "Verifying $syslogfile"

eval "grep sangoma_mgd.log $syslogfile >>/dev/null 2>>/dev/null"
if [ $? -ne 0 ]; then
  	echo "Adding Sangoma MGD logging to $syslogfile"
	echo "# Sangoma Media Gateway, PRI Daemon and BRI Daemon" >> $syslogfile
	echo "local2.*			/var/log/sangoma_mgd.log" >> $syslogfile
else 
	echo "$syslogfile already configured for Sangoma MGD"
fi
